image:
  name: macos-14-xcode-15

variables:
  DANGER_GITLAB_API_TOKEN: $DANGER_GITLAB_API_TOKEN

stages:
  - danger

danger:
  stage: danger
  image: 
    name: ghcr.io/danger/danger-swift-with-swiftlint:3.15.0
    entrypoint: [""]
  tags:
    - docker
  script:
    - export CI_PROJECT_PATH=$CI_PROJECT_ID
    - export CI_MERGE_REQUEST_IID=${CI_OPEN_MERGE_REQUESTS#*!}
    - curl -O https://gitlab.com/spigotinc/public-projects/iosbuild/-/raw/main/.swiftlint.yml
    - curl -O https://gitlab.com/spigotinc/public-projects/iosbuild/-/raw/main/Dangerfile.swift
    - danger-swift ci --fail-on-errors
  only:
    - merge_requests
